Gst::PlayBin Class Reference
gstreamermm Plugins

A Wrapper for the playbin plugin. More...

Inheritance diagram for Gst::PlayBin:
[legend]
Collaboration diagram for Gst::PlayBin:
[legend]

## Public Member Functions

virtual | ~PlayBin ()
GstPlayBin* | gobj ()
| Provides access to the underlying C GObject. More...
const GstPlayBin* | gobj () const
| Provides access to the underlying C GObject. More...
GstPlayBin* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Gst::TagList | get_video_tags (int arg0)
| This is a convenience method for the action signal signal_get_video_tags(). More...
Gst::TagList | get_audio_tags (int arg0)
| This is a convenience method for the action signal signal_get_audio_tags(). More...
Gst::TagList | get_text_tags (int arg0)
| This is a convenience method for the action signal signal_get_text_tags(). More...
Glib::RefPtr< Gst::Sample > | convert_sample (const Glib::RefPtr< Gst::Caps >& arg0)
| This is a convenience method for the action signal signal_convert_sample(). More...
Glib::RefPtr< Gst::Pad > | get_video_pad (int arg0)
| This is a convenience method for the action signal signal_get_video_pad(). More...
Glib::RefPtr< Gst::Pad > | get_audio_pad (int arg0)
| This is a convenience method for the action signal signal_get_audio_pad(). More...
Glib::RefPtr< Gst::Pad > | get_text_pad (int arg0)
| This is a convenience method for the action signal signal_get_text_pad(). More...
Glib::PropertyProxy < Glib::ustring > | property_uri ()
| URI of the media to play. More...
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_uri () const
| URI of the media to play. More...
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_current_uri () const
| The currently playing URI. More...
Glib::PropertyProxy < Glib::ustring > | property_suburi ()
| Optional URI of a subtitle. More...
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_suburi () const
| Optional URI of a subtitle. More...
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_current_suburi () const
| The currently playing URI of a subtitle. More...
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Gst::Element > > | property_source () const
| Source element. More...
Glib::PropertyProxy < Gst::PlayFlags > | property_flags ()
| Flags to control behaviour. More...
Glib::PropertyProxy_ReadOnly < Gst::PlayFlags > | property_flags () const
| Flags to control behaviour. More...
Glib::PropertyProxy_ReadOnly< int > | property_n_video () const
| Total number of video streams. More...
Glib::PropertyProxy< int > | property_current_video ()
| Currently playing video stream (-1 = auto). More...
Glib::PropertyProxy_ReadOnly< int > | property_current_video () const
| Currently playing video stream (-1 = auto). More...
Glib::PropertyProxy_ReadOnly< int > | property_n_audio () const
| Total number of audio streams. More...
Glib::PropertyProxy< int > | property_current_audio ()
| Currently playing audio stream (-1 = auto). More...
Glib::PropertyProxy_ReadOnly< int > | property_current_audio () const
| Currently playing audio stream (-1 = auto). More...
Glib::PropertyProxy_ReadOnly< int > | property_n_text () const
| Total number of text streams. More...
Glib::PropertyProxy< int > | property_current_text ()
| Currently playing text stream (-1 = auto). More...
Glib::PropertyProxy_ReadOnly< int > | property_current_text () const
| Currently playing text stream (-1 = auto). More...
Glib::PropertyProxy < Glib::ustring > | property_subtitle_encoding ()
| Encoding to assume if input subtitles are not in UTF-8 encoding. More...
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_subtitle_encoding () const
| Encoding to assume if input subtitles are not in UTF-8 encoding. More...
Glib::PropertyProxy < Glib::RefPtr< Gst::Element > > | property_audio_sink ()
| the audio output element to use (NULL = default sink). More...
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Gst::Element > > | property_audio_sink () const
| the audio output element to use (NULL = default sink). More...
Glib::PropertyProxy < Glib::RefPtr< Gst::Element > > | property_video_sink ()
| the video output element to use (NULL = default sink). More...
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Gst::Element > > | property_video_sink () const
| the video output element to use (NULL = default sink). More...
Glib::PropertyProxy < Glib::RefPtr< Gst::Element > > | property_vis_plugin ()
| the visualization element to use (NULL = default). More...
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Gst::Element > > | property_vis_plugin () const
| the visualization element to use (NULL = default). More...
Glib::PropertyProxy < Glib::RefPtr< Gst::Element > > | property_text_sink ()
| the text output element to use (NULL = default subtitleoverlay). More...
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Gst::Element > > | property_text_sink () const
| the text output element to use (NULL = default subtitleoverlay). More...
Glib::PropertyProxy< double > | property_volume ()
| The audio volume, 1.0=100%. More...
Glib::PropertyProxy_ReadOnly < double > | property_volume () const
| The audio volume, 1.0=100%. More...
Glib::PropertyProxy< bool > | property_mute ()
| Mute the audio channel without changing the volume. More...
Glib::PropertyProxy_ReadOnly < bool > | property_mute () const
| Mute the audio channel without changing the volume. More...
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Gst::Sample > > | property_sample () const
| The last sample (NULL = no video available). More...
Glib::PropertyProxy_WriteOnly < Glib::ustring > | property_subtitle_font_desc ()
| Pango font description of font to be used for subtitle rendering. More...
Glib::PropertyProxy< guint64 > | property_connection_speed ()
| Network connection speed in kbps (0 = unknown). More...
Glib::PropertyProxy_ReadOnly < guint64 > | property_connection_speed () const
| Network connection speed in kbps (0 = unknown). More...
Glib::PropertyProxy< int > | property_buffer_size ()
| Buffer size when buffering network streams. More...
Glib::PropertyProxy_ReadOnly< int > | property_buffer_size () const
| Buffer size when buffering network streams. More...
Glib::PropertyProxy< gint64 > | property_buffer_duration ()
| Buffer duration when buffering network streams. More...
Glib::PropertyProxy_ReadOnly < gint64 > | property_buffer_duration () const
| Buffer duration when buffering network streams. More...
Glib::PropertyProxy< gint64 > | property_av_offset ()
| The synchronisation offset between audio and video in nanoseconds. More...
Glib::PropertyProxy_ReadOnly < gint64 > | property_av_offset () const
| The synchronisation offset between audio and video in nanoseconds. More...
Glib::PropertyProxy< guint64 > | property_ring_buffer_max_size ()
| Max. More...
Glib::PropertyProxy_ReadOnly < guint64 > | property_ring_buffer_max_size () const
| Max. More...
Glib::PropertyProxy< bool > | property_force_aspect_ratio ()
| When enabled, scaling will respect original aspect ratio. More...
Glib::PropertyProxy_ReadOnly < bool > | property_force_aspect_ratio () const
| When enabled, scaling will respect original aspect ratio. More...
Glib::SignalProxy0< void > | signal_about_to_finish ()
Glib::SignalProxy0< void > | signal_video_changed ()
Glib::SignalProxy0< void > | signal_audio_changed ()
Glib::SignalProxy0< void > | signal_text_changed ()
Glib::SignalProxy1< void, int > | signal_video_tags_changed ()
Glib::SignalProxy1< void, int > | signal_audio_tags_changed ()
Glib::SignalProxy1< void, int > | signal_text_tags_changed ()
Glib::SignalProxy1< void, const Glib::RefPtr < Gst::Element >& > | signal_source_setup ()
Glib::SignalProxy1 < Gst::TagList, int > | signal_get_video_tags ()
| This is an action signal which is designed to be used as a method. More...
Glib::SignalProxy1 < Gst::TagList, int > | signal_get_audio_tags ()
| This is an action signal which is designed to be used as a method. More...
Glib::SignalProxy1 < Gst::TagList, int > | signal_get_text_tags ()
| This is an action signal which is designed to be used as a method. More...
Glib::SignalProxy1 < Glib::RefPtr< Gst::Sample > , const Glib::RefPtr < Gst::Caps >& > | signal_convert_sample ()
| This is an action signal which is designed to be used as a method. More...
Glib::SignalProxy1 < Glib::RefPtr< Gst::Pad > , int > | signal_get_video_pad ()
| This is an action signal which is designed to be used as a method. More...
Glib::SignalProxy1 < Glib::RefPtr< Gst::Pad > , int > | signal_get_audio_pad ()
| This is an action signal which is designed to be used as a method. More...
Glib::SignalProxy1 < Glib::RefPtr< Gst::Pad > , int > | signal_get_text_pad ()
| This is an action signal which is designed to be used as a method. More...
Public Member Functions inherited from Gst::Pipeline
virtual | ~Pipeline ()
GstPipeline* | gobj ()
| Provides access to the underlying C GObject. More...
const GstPipeline* | gobj () const
| Provides access to the underlying C GObject. More...
GstPipeline* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Glib::RefPtr< Gst::Bus > | get_bus ()
| Gets the Gst::Bus of pipeline. More...
Glib::RefPtr< const Gst::Bus > | get_bus () const
| Gets the Gst::Bus of pipeline. More...
bool | set_clock (const Glib::RefPtr< Gst::Clock >& clock)
| Set the clock for pipeline. More...
Glib::RefPtr< Gst::Clock > | get_clock ()
| Gets the current clock used by pipeline. More...
Glib::RefPtr< const Gst::Clock > | get_clock () const
| Gets the current clock used by pipeline. More...
void | use_clock (const Glib::RefPtr< Gst::Clock >& clock)
| Force pipeline to use the given clock. More...
void | auto_clock ()
| Let pipeline select a clock automatically. More...
void | set_auto_flush_bus (gboolean auto_flush=true)
| Usually, when a pipeline goes from READY to `0` state, it automatically flushes all pending messages on the bus, which is done for refcounting purposes, to break circular references. More...
bool | get_auto_flush_bus () const
| Check if pipeline will automatically flush messages when going to the `0` state. More...
void | set_delay (ClockTime delay)
| Set the expected delay needed for all elements to perform the PAUSED to PLAYING state change. More...
ClockTime | get_delay () const
| Get the configured delay (see set_delay()). More...
Glib::PropertyProxy< bool > | property_auto_flush_bus ()
| Whether to automatically flush the pipeline's bus when going from READY into NULL state. More...
Glib::PropertyProxy_ReadOnly < bool > | property_auto_flush_bus () const
| Whether to automatically flush the pipeline's bus when going from READY into NULL state. More...
Glib::PropertyProxy< ClockTime > | property_delay ()
| Expected delay needed for elements to spin up to PLAYING in nanoseconds. More...
Glib::PropertyProxy_ReadOnly < ClockTime > | property_delay () const
| Expected delay needed for elements to spin up to PLAYING in nanoseconds. More...
Public Member Functions inherited from Gst::Bin
virtual | ~Bin ()
GstBin* | gobj ()
| Provides access to the underlying C GObject. More...
const GstBin* | gobj () const
| Provides access to the underlying C GObject. More...
GstBin* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Glib::RefPtr< Gst::Bin > | add (const Glib::RefPtr< Gst::Element >& element)
| Adds the given element to the bin. More...
Glib::RefPtr< Gst::Bin > | remove (const Glib::RefPtr< Gst::Element >& element)
| Removes the element from the bin, unparenting it as well. More...
Glib::RefPtr< Gst::Element > | get_element (const Glib::ustring& name)
| Gets the element with the given name from a bin. More...
Glib::RefPtr< const Gst::Element > | get_element (const Glib::ustring& name) const
| Gets the element with the given name from a bin. More...
Glib::RefPtr< Gst::Element > | get_element_recurse_up (const Glib::ustring& name)
| Gets the element with the given name from this bin. More...
Glib::RefPtr< const Gst::Element > | get_element_recurse_up (const Glib::ustring& name) const
| Gets the element with the given name from this bin. More...
Glib::RefPtr< Gst::Element > | get_element (GType interface)
| Looks for an element inside the bin that implements the given interface. More...
Glib::RefPtr< const Gst::Element > | get_element (GType interface) const
| Looks for an element inside the bin that implements the given interface. More...
Glib::RefPtr< Gst::GhostPad > | add_ghost_pad (const Glib::RefPtr< Gst::Element >& element, const Glib::ustring& pad_name, const Glib::ustring& name=Glib::ustring())
| Adds a ghost pad to the bin using an element's static pad as a target. More...
Glib::RefPtr< Gst::Pad > | find_unlinked_pad (PadDirection dir)
| Recursively looks for elements with an unlinked pad of the given direction within the specified bin and returns an unlinked pad if one is found, or `0` otherwise. More...
Glib::RefPtr< const Gst::Pad > | find_unlinked_pad (PadDirection dir) const
| Recursively looks for elements with an unlinked pad of the given direction within the specified bin and returns an unlinked pad if one is found, or `0` otherwise. More...
Gst::Iterator< Gst::Element > | iterate_elements ()
| Gets an iterator for the elements in this bin. More...
Gst::Iterator< const Gst::Element > | iterate_elements () const
| Gets an iterator for the elements in this bin. More...
Gst::Iterator< Gst::Element > | iterate_recurse ()
| Gets an iterator for the elements in this bin. More...
Gst::Iterator< const Gst::Element > | iterate_recurse () const
| Gets an iterator for the elements in this bin. More...
Gst::Iterator< Gst::Element > | iterate_sorted ()
| Gets an iterator for the elements in this bin in topologically sorted order. More...
Gst::Iterator< const Gst::Element > | iterate_sorted () const
| Gets an iterator for the elements in this bin in topologically sorted order. More...
Gst::Iterator< Gst::Element > | iterate_sources ()
| Gets an iterator for all elements in the bin that have the Gst::ELEMENT_FLAG_SOURCE flag set. More...
Gst::Iterator< const Gst::Element > | iterate_sources () const
| Gets an iterator for all elements in the bin that have the Gst::ELEMENT_FLAG_SOURCE flag set. More...
Gst::Iterator< Gst::Element > | iterate_sinks ()
| Gets an iterator for all elements in the bin that have the Gst::ELEMENT_FLAG_SINK flag set. More...
Gst::Iterator< const Gst::Element > | iterate_sinks () const
| Gets an iterator for all elements in the bin that have the Gst::ELEMENT_FLAG_SINK flag set. More...
Gst::Iterator< Gst::Element > | iterate_by_interface (GType iface)
| Looks for all elements inside the bin that implements the given interface. More...
Gst::Iterator< const Gst::Element > | iterate_by_interface (GType iface) const
| Looks for all elements inside the bin that implements the given interface. More...
bool | recalculate_latency ()
| Query bin for the current latency using and reconfigures this latency to all the elements with a LATENCY event. More...
Glib::ListHandle< Glib::RefPtr < Gst::Element > > | get_children () const
| Gets the bin's list of children. More...
int | get_num_children () const
| Gets the number of children in the bin. More...
Glib::PropertyProxy< bool > | property_async_handling ()
| The bin will handle Asynchronous state changes. More...
Glib::PropertyProxy_ReadOnly < bool > | property_async_handling () const
| The bin will handle Asynchronous state changes. More...
Glib::PropertyProxy< bool > | property_message_forward ()
| Forwards all children messages. More...
Glib::PropertyProxy_ReadOnly < bool > | property_message_forward () const
| Forwards all children messages. More...
Glib::SignalProxy1< void, const Glib::RefPtr < Gst::Element >& > | signal_element_added ()
Glib::SignalProxy1< void, const Glib::RefPtr < Gst::Element >& > | signal_element_removed ()
Glib::SignalProxy0< bool > | signal_do_latency ()
virtual bool | add_element_vfunc (const Glib::RefPtr< Gst::Element >& element)
| Method to add an element to a bin. More...
virtual bool | remove_element_vfunc (const Glib::RefPtr< Gst::Element >& element)
| Method to remove an element from a bin. More...
virtual void | handle_message_vfunc (const Glib::RefPtr< Gst::Message >& message)
| Method to handle a message from the children. More...
Public Member Functions inherited from Gst::Element
virtual | ~Element ()
GstElement* | gobj ()
| Provides access to the underlying C GObject. More...
const GstElement* | gobj () const
| Provides access to the underlying C GObject. More...
GstElement* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Glib::RefPtr< Gst::Element > | link (const Glib::RefPtr< Gst::Element >& dest)
| Links this source element to the element. More...
bool | add_pad (const Glib::RefPtr< Gst::Pad >& pad)
| Adds a pad (link point) to element. More...
void | create_all_pads ()
| Creates a pad for each pad template that is always available. More...
Glib::RefPtr< Gst::Pad > | create_compatible_pad (const Glib::RefPtr< const Gst::Pad >& pad, const Glib::RefPtr< const Gst::Caps >& caps)
| Looks for an unlinked pad to which the given pad can link. More...
Glib::RefPtr< Gst::PadTemplate > | get_compatible_pad_template (const Glib::RefPtr< const Gst::PadTemplate >& compattempl)
| Retrieves a pad template from element that is compatible with compattempl. More...
Glib::RefPtr< const Gst::PadTemplate > | get_compatible_pad_template (const Glib::RefPtr< const Gst::PadTemplate >& compattempl) const
| Retrieves a pad template from element that is compatible with compattempl. More...
Glib::RefPtr< Gst::Pad > | get_request_pad (const Glib::ustring& name)
| Retrieves a pad from the element by name (e.g. "src_\\%d"). More...
Glib::RefPtr< Gst::Pad > | request_pad (const Glib::RefPtr< Gst::PadTemplate >& templ, const Glib::ustring& name, const Glib::RefPtr< const Gst::Caps >& caps)
| Retrieves a request pad from the element according to the provided template. More...
Glib::RefPtr< Gst::Pad > | request_pad (const Glib::RefPtr< Gst::PadTemplate >& templ, const Glib::ustring& name)
| A request_pad() convenience overload. More...
Glib::RefPtr< Gst::Pad > | request_pad (const Glib::RefPtr< Gst::PadTemplate >& templ, const Glib::RefPtr< const Gst::Caps >& caps)
| A request_pad() convenience overload. More...
Glib::RefPtr< Gst::Pad > | request_pad (const Glib::RefPtr< Gst::PadTemplate >& templ)
| A request_pad() convenience overload. More...
Glib::RefPtr< Gst::Pad > | get_static_pad (const Glib::ustring& name)
| Retrieves a pad from element by name. More...
Glib::RefPtr< const Gst::Pad > | get_static_pad (const Glib::ustring& name) const
| Retrieves a pad from element by name. More...
void | no_more_pads ()
| Use this function to signal that the element does not expect any more pads to show up in the current pipeline. More...
void | release_request_pad (const Glib::RefPtr< Gst::Pad >& pad)
| Makes the element free the previously requested pad as obtained with get_request_pad(). More...
bool | remove_pad (const Glib::RefPtr< Gst::Pad >& pad)
| Removes pad from element. More...
Gst::Iterator< Gst::Pad > | iterate_pads ()
| Retrieves an iterator of element's pads. More...
Gst::Iterator< const Gst::Pad > | iterate_pads () const
| Retrieves an iterator of element's pads. More...
Gst::Iterator< Gst::Pad > | iterate_sink_pads ()
| Retrieves an iterator of element's sink pads. More...
Gst::Iterator< const Gst::Pad > | iterate_sink_pads () const
| Retrieves an iterator of element's sink pads. More...
Gst::Iterator< Gst::Pad > | iterate_src_pads ()
| Retrieves an iterator of element's source pads. More...
Gst::Iterator< const Gst::Pad > | iterate_src_pads () const
| Retrieves an iterator of element's source pads. More...
void | unlink (const Glib::RefPtr< Gst::Element >& dest)
| Unlinks all source pads of the source element with all sink pads of the sink element to which they are linked. More...
bool | link_pads (const Glib::ustring& srcpadname, const Glib::RefPtr< Gst::Element >& dest, const Glib::ustring& destpadname)
| Links the two named pads of the source and destination elements. More...
void | unlink_pads (const Glib::ustring& srcpadname, const Glib::RefPtr< Gst::Element >& dest, const Glib::ustring& destpadname)
| Unlinks the two named pads of the source and destination elements. More...
bool | link_pads (const Glib::ustring& srcpadname, const Glib::RefPtr< Gst::Element >& dest, const Glib::ustring& destpadname, const Glib::RefPtr< Gst::Caps >& filter)
| Links the two named pads of the source and destination elements. More...
bool | link_pads (const Glib::ustring& srcpadname, const Glib::RefPtr< Gst::Element >& dest, const Glib::ustring& destpadname, PadLinkCheck flags)
| Links the two named pads of the source and destination elements. More...
Glib::RefPtr< Gst::Element > | link (const Glib::RefPtr< Gst::Element >& dest, const Glib::RefPtr< Gst::Caps >& filter)
| Links src to dest using the given caps as filtercaps. More...
void | set_base_time (ClockTime time)
| Set the base time of an element. More...
ClockTime | get_base_time () const
| Returns the base time of the element. More...
void | set_start_time (Gst::ClockTime time)
| Set the start time of an element. More...
Gst::ClockTime | get_start_time () const
| Returns the start time of the element. More...
void | set_bus (const Glib::RefPtr< Gst::Bus >& bus)
| Sets the bus of the element. More...
Glib::RefPtr< Gst::Bus > | get_bus ()
| Returns the bus of the element. More...
Glib::RefPtr< const Gst::Bus > | get_bus () const
| Returns the bus of the element. More...
Glib::RefPtr< Gst::ElementFactory > | get_factory ()
| Retrieves the factory that was used to create this element. More...
Glib::RefPtr< const Gst::ElementFactory > | get_factory () const
| Retrieves the factory that was used to create this element. More...
bool | set_clock (const Glib::RefPtr< Gst::Clock >& clock)
| Sets the clock for the element. More...
Glib::RefPtr< Gst::Clock > | get_clock ()
| Gets the currently configured clock of the element. More...
Glib::RefPtr< const Gst::Clock > | get_clock () const
| Gets the currently configured clock of the element. More...
Glib::RefPtr< Gst::Clock > | provide_clock ()
| Get the clock provided by the given element. More...
Glib::RefPtr< const Gst::Clock > | provide_clock () const
| Get the clock provided by the given element. More...
StateChangeReturn | set_state (State state)
| Sets the state of the element. More...
StateChangeReturn | get_state (State& state, State& pending, ClockTime timeout) const
| Gets the state of the element. More...
bool | set_locked_state (gboolean locked_state)
| Locks the state of an element, so state changes of the parent don't affect this element anymore. More...
bool | is_locked_state () const
| Checks if the state of an element is locked. More...
void | abort_state ()
| Abort the state change of the element. More...
StateChangeReturn | continue_state (StateChangeReturn ret)
| Commit the state change of the element and proceed to the next pending state if any. More...
void | lost_state ()
| Brings the element to the lost state. More...
bool | sync_state_with_parent ()
| Tries to change the state of the element to the same as its parent. More...
StateChangeReturn | change_state (StateChange transition)
| Perform transition on element. More...
void | post_message (int code, int line, MessageType type=Gst::MESSAGE_INFO, const Glib::QueryQuark& domain=get_core_error_quark(), const Glib::ustring& text=Glib::ustring(), const Glib::ustring& debug=Glib::ustring(), const Glib::ustring& file=Glib::ustring(), const Glib::ustring& function=Glib::ustring())
| Post an error, warning or info message on the bus from inside an element. More...
bool | post_message (const Glib::RefPtr< Gst::Message >& message)
| Post a message on the element's Gst::Bus. More...
bool | query (const Glib::RefPtr< Gst::Query >& query) const
| Performs a query on the given element. More...
bool | query_convert (Gst::Format src_format, gint64 src_val, Format dest_format, gint64& dest_val) const
| Queries an element to convert src_val in src_format to dest_format. More...
bool | query_position (Gst::Format format, gint64& cur) const
| Queries an element for the stream position. More...
bool | query_position (Gst::Format format) const
| Queries an element for the stream position. More...
bool | query_duration (Gst::Format format, gint64& duration) const
| Queries an element for the total stream duration. More...
bool | query_duration (Gst::Format format) const
| Queries an element for the total stream duration. More...
bool | seek (Format format, SeekFlags seek_flags, gint64 seek_pos)
| Simple API to perform a seek on the given element, meaning it just seeks to the given position relative to the start of the stream. More...
bool | seek (double rate, Format format, SeekFlags flags, SeekType cur_type, gint64 cur, SeekType stop_type, gint64 stop)
| Sends a seek event to an element. More...
bool | send_event (const Glib::RefPtr< Gst::Event >& event)
| Sends an event to an element. More...
Glib::SignalProxy0< void > | signal_no_more_pads ()
Glib::SignalProxy1< void, const Glib::RefPtr< Gst::Pad >& > | signal_pad_added ()
Glib::SignalProxy1< void, const Glib::RefPtr< Gst::Pad >& > | signal_pad_removed ()
virtual void | release_pad_vfunc (const Glib::RefPtr< Gst::Pad >& pad)
| Called when a request pad is to be released. More...
virtual Glib::RefPtr< Gst::Pad > | request_new_pad_vfunc (Glib::RefPtr< Gst::PadTemplate > templ, const Glib::ustring& name, const Glib::RefPtr< const Gst::Caps >& caps)
| Called when a new pad is requested. More...
virtual StateChangeReturn | get_state_vfunc (State& state, State& pending, ClockTime timeout) const
| Get the state of the element. More...
virtual StateChangeReturn | set_state_vfunc (State state)
| Set a new state on the element. More...
virtual StateChangeReturn | change_state_vfunc (StateChange transition)
| Called by set_state to perform an incremental state change. More...
virtual void | set_bus_vfunc (const Glib::RefPtr< Gst::Bus >& bus)
| Set a Gst::Bus on the element. More...
virtual Glib::RefPtr< Gst::Clock > | provide_clock_vfunc ()
| Gets the Gst::Clock provided by the element. More...
virtual bool | set_clock_vfunc (const Glib::RefPtr< Gst::Clock >& clock)
| Set the Gst::Clock on the element. More...
virtual bool | send_event_vfunc (const Glib::RefPtr< Gst::Event >& event)
| Send a Gst::Event to the element. More...
virtual bool | query_vfunc (const Glib::RefPtr< Gst::Query >&query) const
| Perform a Gst::Query on the element. More...
Glib::RefPtr< Gst::PadTemplate > | get_pad_template (const Glib::ustring& factory_name) const
template<typename T >
Glib::RefPtr< Gst::Element > | property (const Glib::ustring& name, const T& value)
| Sets specified property. More...
Public Member Functions inherited from Gst::Object
virtual | ~Object ()
GstObject* | gobj ()
| Provides access to the underlying C GObject. More...
const GstObject* | gobj () const
| Provides access to the underlying C GObject. More...
GstObject* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
bool | is_element () const
bool | is_element_factory () const
bool | is_pad () const
bool | is_pad_template () const
bool | is_bin () const
guint32 | get_flags () const
| Returns the entire set of flags for the object. More...
bool | set_name (const Glib::ustring& name)
| Sets the name of object, or gives object a guaranteed unique name (if name is `0`). More...
Glib::ustring | get_name () const
| Returns a copy of the name of object. More...
bool | set_parent (const Glib::RefPtr< Gst::Object >& parent)
| Sets the parent of object to parent. More...
Glib::RefPtr< Gst::Object > | get_parent ()
| Returns the parent of object. More...
Glib::RefPtr< const Gst::Object > | get_parent () const
| Returns the parent of object. More...
void | unparent ()
| Clear the parent of object, removing the associated reference. More...
bool | has_ancestor (const Glib::RefPtr< const Gst::Object >& ancestor) const
| Check if object has an ancestor ancestor somewhere up in the hierarchy. More...
Glib::ustring | get_path_string ()
| Generates a string describing the path of object in the object hierarchy. More...
Glib::PropertyProxy < Glib::ustring > | property_name ()
| The name of the object. More...
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_name () const
| The name of the object. More...
Glib::SignalProxy2< void, const Glib::RefPtr< Object > &, GParamSpec* > | signal_deep_notify ()
Public Member Functions inherited from Gst::ChildProxy
virtual | ~ChildProxy ()
GstChildProxy* | gobj ()
| Provides access to the underlying C GObject. More...
const GstChildProxy* | gobj () const
| Provides access to the underlying C GObject. More...
guint | get_children_count () const
| Gets the number of child objects this parent contains. More...
Glib::RefPtr< Gst::Object > | get_child (const Glib::ustring& name)
| Looks up a child element by the given name. More...
Glib::RefPtr< const Gst::Object > | get_child (const Glib::ustring& name) const
| Looks up a child element by the given name. More...
Glib::RefPtr< Glib::Object > | get_child (guint index)
| Fetches a child by its number. More...
Glib::RefPtr< const Glib::Object > | get_child (guint index) const
| Fetches a child by its number. More...
Glib::RefPtr< Gst::ChildProxy > | get_proxy_property (const Glib::ustring& name, Glib::ValueBase& value)
| Gets a single property using the Gst::ChildProxy mechanism. More...
Glib::RefPtr< const Gst::ChildProxy > | get_proxy_property (const Glib::ustring& name, Glib::ValueBase& value) const
| Gets a single property using the Gst::ChildProxy mechanism. More...
Glib::RefPtr< Gst::ChildProxy > | set_proxy_property (const Glib::ustring& name, const Glib::ValueBase& value)
| Sets a single property using the Gst::ChildProxy mechanism. More...
void | child_added (const Glib::RefPtr< Gst::Object >& child, const Glib::ustring& name)
| Emits the "child-added" signal. More...
void | child_removed (const Glib::RefPtr< Gst::Object >& child, const Glib::ustring& name)
| Emits the "child-removed" signal. More...
Glib::SignalProxy2< void, const Glib::RefPtr < Gst::Object >&, const Glib::ustring& > | signal_child_added ()
Glib::SignalProxy2< void, const Glib::RefPtr < Gst::Object >&, const Glib::ustring& > | signal_child_removed ()
virtual Glib::RefPtr < Glib::Object > | get_child_by_index_vfunc (guint index) const
| Virtual method to fetch the child. More...
virtual guint | get_children_count_vfunc () const
| Virtual method to get the children count. More...
Public Member Functions inherited from Gst::StreamVolume
virtual | ~StreamVolume ()
GstStreamVolume* | gobj ()
| Provides access to the underlying C GObject. More...
const GstStreamVolume* | gobj () const
| Provides access to the underlying C GObject. More...
double | get_volume (Gst::StreamVolumeFormat format)
void | set_volume (Gst::StreamVolumeFormat format, double val)
bool | get_mute ()
void | set_mute (bool mute)
Glib::PropertyProxy< bool > | property_mute ()
| Mute the audio channel without changing the volume. More...
Glib::PropertyProxy_ReadOnly < bool > | property_mute () const
| Mute the audio channel without changing the volume. More...
Glib::PropertyProxy< double > | property_volume ()
| Linear volume factor, 1.0=100%. More...
Glib::PropertyProxy_ReadOnly < double > | property_volume () const
| Linear volume factor, 1.0=100%. More...
Public Member Functions inherited from Gst::VideoOverlay
virtual | ~VideoOverlay ()
GstVideoOverlay* | gobj ()
| Provides access to the underlying C GObject. More...
const GstVideoOverlay* | gobj () const
| Provides access to the underlying C GObject. More...
void | set_window_handle (guintptr window_handle)
| This will call the video overlay's set_window_handle method. More...
void | got_window_handle (guintptr window_handle)
| This will post a "have-window-handle" element message on the bus. More...
void | prepare_window_handle ()
| This will post a "prepare-window-handle" element message on the bus to give applications an opportunity to call gst_video_overlay_set_window_handle() before a plugin creates its own window. More...
void | expose ()
| Tell an overlay that it has been exposed. More...
void | handle_events (bool handle_events)
| Tell an overlay that it should handle events from the window system. More...
bool | set_render_rectangle (int x, int y, int width, int height)
| Configure a subregion as a video target within the window set by gst_video_overlay_set_window_handle(). More...
Public Member Functions inherited from Gst::Navigation
virtual | ~Navigation ()
GstNavigation* | gobj ()
| Provides access to the underlying C GObject. More...
const GstNavigation* | gobj () const
| Provides access to the underlying C GObject. More...
void | send_event (Gst::Structure& structure)
void | send_key_event (const Glib::ustring& event, const Glib::ustring& key)
void | send_mouse_event (const Glib::ustring& event, int button, double x, double y)
| Sends a mouse event to the navigation interface. More...
void | send_command (Gst::NavigationCommand command)
| Sends the indicated command to the navigation interface. More...
virtual void | send_event_vfunc (Gst::Structure& structure)
| Called when an event has been sent to the Gst::Navigation. More...
Public Member Functions inherited from Gst::ColorBalance
virtual | ~ColorBalance ()
GstColorBalance* | gobj ()
| Provides access to the underlying C GObject. More...
const GstColorBalance* | gobj () const
| Provides access to the underlying C GObject. More...
Glib::ListHandle< Glib::RefPtr < ColorBalanceChannel > > | list_channels ()
| Retrieve a list of the available channels. More...
Glib::ListHandle< Glib::RefPtr < const ColorBalanceChannel > > | list_channels () const
| Retrieve a list of the available channels. More...
int | get_value (const Glib::RefPtr< const ColorBalanceChannel >& channel) const
| Retrieve the current value of the indicated channel, between min_value and max_value. More...
void | set_value (const Glib::RefPtr< ColorBalanceChannel >& channel, int value)
| Sets the current value of the channel to the passed value, which must be between min_value and max_value. More...
void | value_changed (const Glib::RefPtr< ColorBalanceChannel >& channel, int value)
| A helper function called by implementations of the GstColorBalance interface. More...
Gst::ColorBalanceType | get_balance_type () const
| Get the Gst::ColorBalanceType of this implementation. More...
Glib::SignalProxy2< void, const Glib::RefPtr < ColorBalanceChannel >&, int > | signal_value_changed ()
virtual Glib::ListHandle < Glib::RefPtr < ColorBalanceChannel > > | list_channels_vfunc () const
| Lists the channels of the Gst::ColorBalance. More...
virtual void | set_value_vfunc (const Glib::RefPtr< ColorBalanceChannel >& channel, int value)
| Sets the value of a Gst::ColorBalanceChannel of the Gst::ColorBalance. More...
virtual int | get_value_vfunc (const Glib::RefPtr< const ColorBalanceChannel >& channel) const
| Gets the value of a Gst::ColorBalanceChannel of the Gst::ColorBalance. More...

## Static Public Member Functions

static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static Glib::RefPtr< PlayBin > | create ()
| Creates a new playbin plugin with a unique name. More...
static Glib::RefPtr< PlayBin > | create (const Glib::ustring& name)
| Creates a new playbin plugin with the given name. More...
Static Public Member Functions inherited from Gst::Pipeline
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static Glib::RefPtr< Pipeline > | create (const Glib::ustring& name)
| Create a new pipeline with the given name. More...
static Glib::RefPtr< Pipeline > | create ()
| Create a new pipeline with a unique generic name. More...
Static Public Member Functions inherited from Gst::Bin
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static Glib::RefPtr< Bin > | create (const Glib::ustring& name)
| Creates a new bin with the given name. More...
static Glib::RefPtr< Bin > | create ()
| Creates a new bin with a unique generic name. More...
Static Public Member Functions inherited from Gst::Element
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
Static Public Member Functions inherited from Gst::Object
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static bool | check_uniqueness (const Glib::ListHandle< const Gst::Object >& list, const Glib::ustring& name)
| Checks to see if there is any object named name in list. More...
Static Public Member Functions inherited from Gst::ChildProxy
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static bool | lookup (const Glib::RefPtr< Gst::ChildProxy >& object, const Glib::ustring& name, Glib::RefPtr< Glib::Object >& target, GParamSpec*& pspec)
| Looks up which object and ParamSpec would be effected by the given name. More...
Static Public Member Functions inherited from Gst::StreamVolume
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static double | convert_volume (Gst::StreamVolumeFormat from, Gst::StreamVolumeFormat to, double val)
Static Public Member Functions inherited from Gst::VideoOverlay
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
Static Public Member Functions inherited from Gst::Navigation
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
Static Public Member Functions inherited from Gst::ColorBalance
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Protected Member Functions

| PlayBin ()
| PlayBin (const Glib::ustring& name)
Protected Member Functions inherited from Gst::Pipeline
| Pipeline (const Glib::ustring& name)
| Pipeline ()
Protected Member Functions inherited from Gst::Bin
| Bin (const Glib::ustring& name)
| Bin ()
virtual void | on_element_added (const Glib::RefPtr< Gst::Element >& element)
| This is a default handler for the signal signal_element_added(). More...
virtual void | on_element_removed (const Glib::RefPtr< Gst::Element >& element)
| This is a default handler for the signal signal_element_removed(). More...
virtual bool | on_do_latency ()
| This is a default handler for the signal signal_do_latency(). More...
Protected Member Functions inherited from Gst::Element
virtual void | on_no_more_pads ()
| This is a default handler for the signal signal_no_more_pads(). More...
virtual void | on_pad_added (const Glib::RefPtr< Gst::Pad >& new_pad)
| This is a default handler for the signal signal_pad_added(). More...
virtual void | on_pad_removed (const Glib::RefPtr< Gst::Pad >& old_pad)
| This is a default handler for the signal signal_pad_removed(). More...
Protected Member Functions inherited from Gst::Object
virtual void | on_deep_notify (const Glib::RefPtr< Object >& prop_object, GParamSpec* prop)
| This is a default handler for the signal signal_deep_notify(). More...
Protected Member Functions inherited from Gst::ChildProxy
| ChildProxy ()
| You should derive from this class to use it. More...
virtual void | on_child_added (const Glib::RefPtr< Gst::Object >& object, const Glib::ustring& name)
| This is a default handler for the signal signal_child_added(). More...
virtual void | on_child_removed (const Glib::RefPtr< Gst::Object >& object, const Glib::ustring& name)
| This is a default handler for the signal signal_child_removed(). More...
Protected Member Functions inherited from Gst::StreamVolume
| StreamVolume ()
| You should derive from this class to use it. More...
Protected Member Functions inherited from Gst::VideoOverlay
| VideoOverlay ()
| You should derive from this class to use it. More...
Protected Member Functions inherited from Gst::Navigation
| Navigation ()
| You should derive from this class to use it. More...
Protected Member Functions inherited from Gst::ColorBalance
| ColorBalance ()
| You should derive from this class to use it. More...
virtual void | on_value_changed (const Glib::RefPtr< ColorBalanceChannel >& channel, int value)
| This is a default handler for the signal signal_value_changed(). More...

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr< Gst::PlayBin > | wrap (GstPlayBin* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gst::Pipeline
Glib::RefPtr< Gst::Pipeline > | wrap (GstPipeline* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gst::Bin
Glib::RefPtr< Gst::Bin > | wrap (GstBin* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gst::Element
Glib::RefPtr< Gst::Element > | wrap (GstElement* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gst::Object
Glib::RefPtr< Gst::Object > | wrap (GstObject* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gst::ChildProxy
Glib::RefPtr< Gst::ChildProxy > | wrap (GstChildProxy* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gst::StreamVolume
Glib::RefPtr< Gst::StreamVolume > | wrap (GstStreamVolume* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gst::VideoOverlay
Glib::RefPtr< Gst::VideoOverlay > | wrap (GstVideoOverlay* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gst::Navigation
Glib::RefPtr< Gst::Navigation > | wrap (GstNavigation* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gst::ColorBalance
Glib::RefPtr< Gst::ColorBalance > | wrap (GstColorBalance* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Detailed Description

A Wrapper for the playbin plugin.

Please note that not all plug-ins are available on all systems so care must be taken that they exist before they are used otherwise there will be errors and possibly a crash.

## Constructor & Destructor Documentation

virtual Gst::PlayBin::~PlayBin | ( |  | ) |

virtual

Gst::PlayBin::PlayBin | ( |  | ) |

protected

Gst::PlayBin::PlayBin | ( | const Glib::ustring & | name | ) |

explicit protected

## Member Function Documentation

Glib::RefPtr<Gst::Sample> Gst::PlayBin::convert_sample | ( | const Glib::RefPtr< Gst::Caps >& | arg0 | ) |

This is a convenience method for the action signal signal_convert_sample().

static Glib::RefPtr<PlayBin> Gst::PlayBin::create | ( |  | ) |

static

Creates a new playbin plugin with a unique name.

static Glib::RefPtr<PlayBin> Gst::PlayBin::create | ( | const Glib::ustring & | name | ) |

static

Creates a new playbin plugin with the given name.

Glib::RefPtr<Gst::Pad> Gst::PlayBin::get_audio_pad | ( | int | arg0 | ) |

This is a convenience method for the action signal signal_get_audio_pad().

Gst::TagList Gst::PlayBin::get_audio_tags | ( | int | arg0 | ) |

This is a convenience method for the action signal signal_get_audio_tags().

Glib::RefPtr<Gst::Pad> Gst::PlayBin::get_text_pad | ( | int | arg0 | ) |

This is a convenience method for the action signal signal_get_text_pad().

Gst::TagList Gst::PlayBin::get_text_tags | ( | int | arg0 | ) |

This is a convenience method for the action signal signal_get_text_tags().

static GType Gst::PlayBin::get_type | ( |  | ) |

static

Get the GType for this class, for use with the underlying GObject type system.

Glib::RefPtr<Gst::Pad> Gst::PlayBin::get_video_pad | ( | int | arg0 | ) |

This is a convenience method for the action signal signal_get_video_pad().

Gst::TagList Gst::PlayBin::get_video_tags | ( | int | arg0 | ) |

This is a convenience method for the action signal signal_get_video_tags().

GstPlayBin* Gst::PlayBin::gobj | ( |  | ) |

inline

Provides access to the underlying C GObject.

const GstPlayBin* Gst::PlayBin::gobj | ( |  | ) | const

inline

Provides access to the underlying C GObject.

GstPlayBin* Gst::PlayBin::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Glib::PropertyProxy< Glib::RefPtr<Gst::Element> > Gst::PlayBin::property_audio_sink | ( |  | ) |

the audio output element to use (NULL = default sink).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Gst::Element> > Gst::PlayBin::property_audio_sink | ( |  | ) | const

the audio output element to use (NULL = default sink).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< gint64 > Gst::PlayBin::property_av_offset | ( |  | ) |

The synchronisation offset between audio and video in nanoseconds.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< gint64 > Gst::PlayBin::property_av_offset | ( |  | ) | const

The synchronisation offset between audio and video in nanoseconds.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< gint64 > Gst::PlayBin::property_buffer_duration | ( |  | ) |

Buffer duration when buffering network streams.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< gint64 > Gst::PlayBin::property_buffer_duration | ( |  | ) | const

Buffer duration when buffering network streams.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gst::PlayBin::property_buffer_size | ( |  | ) |

Buffer size when buffering network streams.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gst::PlayBin::property_buffer_size | ( |  | ) | const

Buffer size when buffering network streams.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< guint64 > Gst::PlayBin::property_connection_speed | ( |  | ) |

Network connection speed in kbps (0 = unknown).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< guint64 > Gst::PlayBin::property_connection_speed | ( |  | ) | const

Network connection speed in kbps (0 = unknown).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gst::PlayBin::property_current_audio | ( |  | ) |

Currently playing audio stream (-1 = auto).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gst::PlayBin::property_current_audio | ( |  | ) | const

Currently playing audio stream (-1 = auto).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gst::PlayBin::property_current_suburi | ( |  | ) | const

The currently playing URI of a subtitle.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gst::PlayBin::property_current_text | ( |  | ) |

Currently playing text stream (-1 = auto).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gst::PlayBin::property_current_text | ( |  | ) | const

Currently playing text stream (-1 = auto).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gst::PlayBin::property_current_uri | ( |  | ) | const

The currently playing URI.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gst::PlayBin::property_current_video | ( |  | ) |

Currently playing video stream (-1 = auto).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gst::PlayBin::property_current_video | ( |  | ) | const

Currently playing video stream (-1 = auto).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Gst::PlayFlags > Gst::PlayBin::property_flags | ( |  | ) |

Flags to control behaviour.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Gst::PlayFlags > Gst::PlayBin::property_flags | ( |  | ) | const

Flags to control behaviour.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gst::PlayBin::property_force_aspect_ratio | ( |  | ) |

When enabled, scaling will respect original aspect ratio.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gst::PlayBin::property_force_aspect_ratio | ( |  | ) | const

When enabled, scaling will respect original aspect ratio.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gst::PlayBin::property_mute | ( |  | ) |

Mute the audio channel without changing the volume.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gst::PlayBin::property_mute | ( |  | ) | const

Mute the audio channel without changing the volume.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gst::PlayBin::property_n_audio | ( |  | ) | const

Total number of audio streams.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gst::PlayBin::property_n_text | ( |  | ) | const

Total number of text streams.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gst::PlayBin::property_n_video | ( |  | ) | const

Total number of video streams.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< guint64 > Gst::PlayBin::property_ring_buffer_max_size | ( |  | ) |

Max.

amount of data in the ring buffer (bytes, 0 = ring buffer disabled).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< guint64 > Gst::PlayBin::property_ring_buffer_max_size | ( |  | ) | const

Max.

amount of data in the ring buffer (bytes, 0 = ring buffer disabled).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Gst::Sample> > Gst::PlayBin::property_sample | ( |  | ) | const

The last sample (NULL = no video available).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Gst::Element> > Gst::PlayBin::property_source | ( |  | ) | const

Source element.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring > Gst::PlayBin::property_subtitle_encoding | ( |  | ) |

Encoding to assume if input subtitles are not in UTF-8 encoding.

If not set, the GST_SUBTITLE_ENCODING environment variable will be checked for an encoding to use. If that is not set either, ISO-8859-15 will be assumed.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gst::PlayBin::property_subtitle_encoding | ( |  | ) | const

Encoding to assume if input subtitles are not in UTF-8 encoding.

If not set, the GST_SUBTITLE_ENCODING environment variable will be checked for an encoding to use. If that is not set either, ISO-8859-15 will be assumed.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_WriteOnly< Glib::ustring > Gst::PlayBin::property_subtitle_font_desc | ( |  | ) |

Pango font description of font to be used for subtitle rendering.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_WriteOnly that allows you to set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring > Gst::PlayBin::property_suburi | ( |  | ) |

Optional URI of a subtitle.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gst::PlayBin::property_suburi | ( |  | ) | const

Optional URI of a subtitle.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::RefPtr<Gst::Element> > Gst::PlayBin::property_text_sink | ( |  | ) |

the text output element to use (NULL = default subtitleoverlay).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Gst::Element> > Gst::PlayBin::property_text_sink | ( |  | ) | const

the text output element to use (NULL = default subtitleoverlay).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring > Gst::PlayBin::property_uri | ( |  | ) |

URI of the media to play.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gst::PlayBin::property_uri | ( |  | ) | const

URI of the media to play.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::RefPtr<Gst::Element> > Gst::PlayBin::property_video_sink | ( |  | ) |

the video output element to use (NULL = default sink).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Gst::Element> > Gst::PlayBin::property_video_sink | ( |  | ) | const

the video output element to use (NULL = default sink).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::RefPtr<Gst::Element> > Gst::PlayBin::property_vis_plugin | ( |  | ) |

the visualization element to use (NULL = default).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Gst::Element> > Gst::PlayBin::property_vis_plugin | ( |  | ) | const

the visualization element to use (NULL = default).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< double > Gst::PlayBin::property_volume | ( |  | ) |

The audio volume, 1.0=100%.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< double > Gst::PlayBin::property_volume | ( |  | ) | const

The audio volume, 1.0=100%.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::SignalProxy0< void > Gst::PlayBin::signal_about_to_finish | ( |  | ) |

Slot Prototype:
  `void on_my_about_to_finish()`

Glib::SignalProxy0< void > Gst::PlayBin::signal_audio_changed | ( |  | ) |

Slot Prototype:
  `void on_my_audio_changed()`

Glib::SignalProxy1< void,int > Gst::PlayBin::signal_audio_tags_changed | ( |  | ) |

Slot Prototype:
  `void on_my_audio_tags_changed(int arg0)`

Glib::SignalProxy1< Glib::RefPtr<Gst::Sample>,const Glib::RefPtr<Gst::Caps>& > Gst::PlayBin::signal_convert_sample | ( |  | ) |

This is an action signal which is designed to be used as a method.

To do that, use its convenience method, convert_sample().

Slot Prototype:
  `Glib::RefPtr<Gst::Sample> on_my_convert_sample(const Glib::RefPtr<Gst::Caps>& arg0)`

Glib::SignalProxy1< Glib::RefPtr<Gst::Pad>,int > Gst::PlayBin::signal_get_audio_pad | ( |  | ) |

This is an action signal which is designed to be used as a method.

To do that, use its convenience method, get_audio_pad().

Slot Prototype:
  `Glib::RefPtr<Gst::Pad> on_my_get_audio_pad(int arg0)`

Glib::SignalProxy1< Gst::TagList,int > Gst::PlayBin::signal_get_audio_tags | ( |  | ) |

This is an action signal which is designed to be used as a method.

To do that, use its convenience method, get_audio_tags().

Slot Prototype:
  `Gst::TagList on_my_get_audio_tags(int arg0)`

Glib::SignalProxy1< Glib::RefPtr<Gst::Pad>,int > Gst::PlayBin::signal_get_text_pad | ( |  | ) |

This is an action signal which is designed to be used as a method.

To do that, use its convenience method, get_text_pad().

Slot Prototype:
  `Glib::RefPtr<Gst::Pad> on_my_get_text_pad(int arg0)`

Glib::SignalProxy1< Gst::TagList,int > Gst::PlayBin::signal_get_text_tags | ( |  | ) |

This is an action signal which is designed to be used as a method.

To do that, use its convenience method, get_text_tags().

Slot Prototype:
  `Gst::TagList on_my_get_text_tags(int arg0)`

Glib::SignalProxy1< Glib::RefPtr<Gst::Pad>,int > Gst::PlayBin::signal_get_video_pad | ( |  | ) |

This is an action signal which is designed to be used as a method.

To do that, use its convenience method, get_video_pad().

Slot Prototype:
  `Glib::RefPtr<Gst::Pad> on_my_get_video_pad(int arg0)`

Glib::SignalProxy1< Gst::TagList,int > Gst::PlayBin::signal_get_video_tags | ( |  | ) |

This is an action signal which is designed to be used as a method.

To do that, use its convenience method, get_video_tags().

Slot Prototype:
  `Gst::TagList on_my_get_video_tags(int arg0)`

Glib::SignalProxy1< void,const Glib::RefPtr<Gst::Element>& > Gst::PlayBin::signal_source_setup | ( |  | ) |

Slot Prototype:
  `void on_my_source_setup(const Glib::RefPtr<Gst::Element>& arg0)`

Glib::SignalProxy0< void > Gst::PlayBin::signal_text_changed | ( |  | ) |

Slot Prototype:
  `void on_my_text_changed()`

Glib::SignalProxy1< void,int > Gst::PlayBin::signal_text_tags_changed | ( |  | ) |

Slot Prototype:
  `void on_my_text_tags_changed(int arg0)`

Glib::SignalProxy0< void > Gst::PlayBin::signal_video_changed | ( |  | ) |

Slot Prototype:
  `void on_my_video_changed()`

Glib::SignalProxy1< void,int > Gst::PlayBin::signal_video_tags_changed | ( |  | ) |

Slot Prototype:
  `void on_my_video_tags_changed(int arg0)`

## Friends And Related Function Documentation

Glib::RefPtr< Gst::PlayBin > wrap | ( | GstPlayBin * | object,
|  | bool | take_copy = `false`
| ) |  |

related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/playbin.h